unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,JPeg, FileCtrl, T_BiancoIcon;

type
  TForm1 = class(TForm)
    Button1: TButton;
    DirectoryListBox1: TDirectoryListBox;
    f: TFileListBox;
    DriveComboBox1: TDriveComboBox;
    Edit2: TEdit;
    Fl: TFileListBox;
    Button2: TButton;
    Edit3: TEdit;
    Edit4: TEdit;
    Label1: TLabel;
    Button3: TButton;
    L0: TLabel;
    L1: TLabel;
    FB: TFileListBox;
    FI: TFileListBox;
    L2: TLabel;
    Button4: TButton;
    Bevel1: TBevel;
    Button5: TButton;
    Button6: TButton;
    BGetIco: TBiancoGetIcons;
    procedure Button1Click(Sender: TObject);
    procedure DriveComboBox1Change(Sender: TObject);
    procedure DirectoryListBox1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.Button1Click(Sender: TObject);
Var
 A:Integer;
 J:TJpegImage;
 I:TBitmap;
 S:String;
begin
 Button1.Enabled:=False;
 For A:=0 To F.Items.Count-1 Do
  Begin
   J:=TJpegImage.Create;
   I:=TBitmap.Create;
   I.LoadFromFile(F.Items[A]);
   F.ItemIndex:=A;
   J.Assign(I);
   I.Free;

   S:=ExtractFileName(F.Items[A]);
   S:=Copy(S,1,Length(S)-4);

   J.SaveToFile(DirectoryListBox1.Directory+'\'+S+'.Jpg');
   Application.processmessages;
   J.Free;
  End;
 Button1.Enabled:=True;
end;

procedure TForm1.DriveComboBox1Change(Sender: TObject);
begin
 DirectoryListBox1.Drive:=DriveComboBox1.Drive;
end;

procedure TForm1.DirectoryListBox1Change(Sender: TObject);
begin
 F.Directory:=DirectoryListBox1.Directory;
 Fl.Directory:=DirectoryListBox1.Directory;
 Fb.Directory:=DirectoryListBox1.Directory;
 Fi.Directory:=DirectoryListBox1.Directory;

 L0.Caption := '*.BMP ('+IntToStr(Fl.Items.Count)+')';
 L1.Caption := '*.JPG ('+IntToStr(Fb.Items.Count)+')';
 L2.Caption := '*.ICO ('+IntToStr(Fi.Items.Count)+')';

 Button1.Enabled:=True;
 Button2.Enabled:=True;
 Button3.Enabled:=True;
 Button4.Enabled:=True;
 Button5.Enabled:=True;

end;

procedure TForm1.Edit2Change(Sender: TObject);
begin
 Fl.Mask:=Edit2.Text;
end;

procedure TForm1.Button2Click(Sender: TObject);
Var
 B,A:Integer;
begin
 B:=0;
 Button2.Enabled:=False;
 For A:=0 To Fl.Items.Count-1 Do
  if not RenameFile(Fl.Items[A],
          DirectoryListBox1.Directory+'\'+IntToStr(A)+Edit3.Text+Edit4.Text) then
   Inc(B);
 Caption:=Inttostr(B);
 Button2.Enabled:=True;
end;


procedure TForm1.Button3Click(Sender: TObject);
Var
 A:Integer;
 J:TJpegImage;
 I:TBitmap;
 S:String;
begin
 Button3.Enabled:=False;
 For A:=0 To FB.Items.Count-1 Do
  Begin
   I:=TBitmap.Create;
   J:=TJpegImage.Create;
   J.LoadFromFile(FB.Items[A]);
   FB.ItemIndex:=A;
   I.Assign(J);
   J.Free;

   S:=ExtractFileName(FB.Items[A]);
   S:=Copy(S,1,Length(S)-4);

   I.SaveToFile(DirectoryListBox1.Directory+'\'+S+'.BMP');
   I.Free;
   Application.processmessages;
  End;
 Button3.Enabled:=True;
end;

procedure TForm1.Button4Click(Sender: TObject);
Var
 A:Integer;
 I:TImage;
 S:String;
 T:TIcon;
begin
 Button4.Enabled:=False;
 I:=TImage.Create(Self);
 I.Parent:=Self;
 I.Visible:=False;
 T:=TIcon.Create;
 For A:=0 To Fi.Items.Count-1 Do
  Begin
   Fi.ItemIndex:=A;
   T.LoadFromFile(Fi.Items[A]);
   I.Width := t.width;
   I.Height := t.height;
   I.Canvas.Brush.Style:=bsSolid;
   I.Canvas.FillRect(I.Canvas.ClipRect);
   I.Canvas.Draw(0,0,T);
   S:=ExtractFileName(Fi.Items[A]);
   S:=Copy(S,1,Length(S)-4);
   I.Picture.SaveToFile(DirectoryListBox1.Directory+'\'+S+'.BMP');
   Application.processmessages;
  End;
 Button4.Enabled:=True;
 I.Free;
 T.Free;
end;

procedure TForm1.Button6Click(Sender: TObject);
Var
 A:Integer;
 S:String;
begin
 Button6.Enabled:=False;
 For A:=0 To F.Items.Count-1 Do
  Begin
   F.ItemIndex:=A;
   BGetIco.FileName:=F.Items[A];
   S:=ExtractFileName(F.Items[A]);
   S:=Copy(S,1,Length(S)-4);
   BGetIco.ICON.SaveToFile(DirectoryListBox1.Directory+'\'+S+'.Ico');
   Application.processmessages;
  End;
 Button6.Enabled:=True;
end;

procedure TForm1.Button5Click(Sender: TObject);
Var
 A:Integer;
 S,t:String;
 J:TJpegImage;
 I:TBitmap;
begin
 Button5.Enabled:=False;
 Randomize;
 For A:=0 To Fb.Items.Count-1 Do
  Begin
   T:=DirectoryListBox1.Directory+'\~'+IntToStr(Random(10000))+'.BMP';
   Fb.ItemIndex:=A;
   S:=ExtractFileName(Fb.Items[A]);
   S:=Copy(S,1,Length(S)-4);

   I:=TBitmap.Create;
   J:=TJpegImage.Create;
   
   J.LoadFromFile(FB.Items[A]);
   I.Assign(J);
   I.SaveToFile(T);
   I.Free;
   J.Free;

   S:=ExtractFileName(FB.Items[A]);
   S:=Copy(S,1,Length(S)-4);

   BGetIco.FileName:=T;
   BGetIco.ICON.SaveToFile(DirectoryListBox1.Directory+'\'+S+'.Ico');
   DeleteFile(T);
   Application.processmessages;
  End;
 Button5.Enabled:=True;
end;

end.
